#!/bin/sh
#the next line restarts with wish \
exec wish "$0" "$@"

#############################################################################
# Visual Tcl v1.20 Project
#

#################################
# GLOBAL VARIABLES
#
global widget; 
	set widget(rev,.fra21.cpd23.03) {text}
	set widget(text) {.fra21.cpd23.03}

#################################
#PROCEDURES

proc init {argc argv} {
global arg
set arg $argv
}

init $argc $argv

proc {makeWin} {} {

set x 1
	while {[winfo exists ".note$x"] ==  1 } {
		incr x
	}
        
        toplevel ".note$x"
        set n ".note$x"
	set t [expr 5*$x+5]
	set v [expr 5*$x+100]
        wm focusmodel $n passive
        wm geometry $n 120x130+$t+$v
        wm maxsize $n 1009 738
        wm minsize $n 1 1 
        wm overrideredirect $n 0
        wm resizable $n 1 1
        wm deiconify $n
        wm title $n "pi note"
	frame $n.fra30 \
        -borderwidth 1 -height 46 -relief sunken -width 97 
	frame $n.fra30.cpd31 \
        -background #dfdb00 -borderwidth 1 -height 55 -relief raised \
        -width 158 
	scrollbar $n.fra30.cpd31.02 \
        -borderwidth 1 -command "$n.fra30.cpd31.03 yview" -orient vert \
        -width 10 
	 
	button $n.but32 \
		-borderwidth 1 -command "destroy $n" -text Destroy 
        button $n.but33 \
		-borderwidth 1 -command "makeWin" -text Note

	text $n.fra30.cpd31.03 \
        -background #dfdb02 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
	-height 1 -width 8 -wrap word -yscrollcommand "$n.fra30.cpd31.02 set" 
	###################
	# SETTING GEOMETRY
        ###################
	pack $n.fra30 \
        -in $n -anchor center -expand 1 -fill both -side top 
	pack $n.fra30.cpd31 \
        -in $n.fra30 -anchor center -expand 1 -fill both -side top 
	grid columnconf $n.fra30.cpd31 0 -weight 1
	grid rowconf $n.fra30.cpd31 0 -weight 1
	grid $n.fra30.cpd31.02 \
        -in $n.fra30.cpd31 -column 1 -row 0 -columnspan 1 -rowspan 1 \
        -sticky ns 
	grid $n.fra30.cpd31.03 \
        -in $n.fra30.cpd31 -column 0 -row 0 -columnspan 1 -rowspan 1 \
        -sticky nesw 
	pack $n.but32 \
        -in $n -anchor center -expand 1 -fill x -side left 
        pack $n.but33 \
		-in $n -anchor center -expand 1 -fill x -side left

# if { "$w" == ".fra21.cpd23.03" } {
 
###write stuff in new note.

#	set c $n.fra30.cpd31.03
#	set txt [$w get 1.0 end]
#	$c insert end $txt

###clear the text from main

#	$w delete 1.0 end

# } else { 
#	    set c $n.fra30.cpd32.03
#	    puts $c $w
# }
}

###like to add a command line arg at some time.
###have to add some changes to makeWin proc.
#if { $arg != "" } { 
makeWin
#}


proc {main} {argc argv} {

}

	###################
	# CREATING WIDGETS
	##################
        set base .
	wm focusmodel $base passive
	wm geometry $base 130x25+200+10
	wm maxsize $base 1009 738
	wm minsize $base 1 1
	wm overrideredirect $base 0
	wm resizable $base 1 1
	wm deiconify $base
	wm title $base "pi"
	frame .fra21 \
        -borderwidth 0 -height 134 -relief sunken -width 105 
	button .fra21.but26 -background #dfdb02 \
        -borderwidth 1 -command {makeWin} -text Note 
	button .fra21.but27 -background #dfdb02 \
        -borderwidth 1 -command "destroy $base" -text "Exit All" 
	###################
	# SETTING GEOMETRY
	###################
	pack .fra21 \
        -in $base -anchor center -expand 1 -fill both -side top 
	pack .fra21.but26 \
        -in .fra21 -anchor center -expand 1 -fill both -side left 
	pack .fra21.but27 \
        -anchor center -expand 1 -fill both -side left 
        ###############
        #BINDINGS
        ##############
   
main $argc $argv
